Subject: bug#14807: 24.3; Enhancement request: let options in customize group buffers to start out visible

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 10 May 2022 15:44:07 +0200

Raffaele Ricciardi <[email-masked]> writes:

> "*** Options in customize group buffers start out hidden if not
> customized.  Use the arrow to the left of the option name to toggle
> visibility."
>
> Would it be possible to make such behaviour customizable for users
> that would prefer the old behaviour?  The old behaviour let users
> check quickly what the behaviour of a package was supposed to be,
> according to the value of its various options.  The new behaviour
> requires users to click on each option to get a glimpse of what to
> expect from a mode.  My guess is that the new behaviour aims to lessen
> the possibility of accidental edits, but that is not an issue with
> more experienced users.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Many customization groups are very large, and some of the widgets take
up a lot of space.  So in my opinion, a user option like this wouldn't
be used by a lot of people, so it's not worth adding, and I'm therefore
closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no